//  SuperTux
//  Copyright (C) 2006 DJ Gentoo <djwings@gmail.com>
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef HEADER_SUPERTUX_BADGUY_JSPIKY_HPP
#define HEADER_SUPERTUX_BADGUY_JSPIKY_HPP

#include "badguy/walking_badguy.hpp"

class JSpiky : public WalkingBadguy
{
public:
  JSpiky(const Reader& reader);

  HitResponse collision_badguy(BadGuy& badguy, const CollisionHit& hit);
  void active_update(float elapsed_time);

  void freeze();
  bool is_freezable() const;

protected:
  enum JSpikyState {
    JSPIKY_JUMPING,
    JSPIKY_CROUCHING,
    JSPIKY_WALKING
  };
  JSpikyState state;
  float crouch_time;
};

#endif

/* EOF */
